<template>
	<el-main>
		<el-card shadow="never">
			<el-tabs tab-position="top" class="custom-tabs" v-model="activeName">
				<el-tab-pane label="工位" name="1">
					<el-container>
						<el-aside width="200px" v-loading="showGrouploading">
							<el-container>
								<el-main class="nopadding">
									<el-tree ref="group" class="menu" node-key="id" :data="group" :current-node-key="''"
										:highlight-current="true" :expand-on-click-node="false"
										:default-expanded-keys="[1]" :filter-node-method="groupFilterNode"
										@node-click="groupClick"></el-tree>
								</el-main>
							</el-container>
						</el-aside>
						<el-container>
							<el-header>
								<div class="left-panel">
									<el-button type="primary" icon="el-icon-plus"></el-button>
									<el-button type="danger" plain icon="el-icon-delete"></el-button>
									<el-button type="primary" plain>导入</el-button>
									<el-button type="primary" plain>批量操作</el-button>
								</div>
								<div class="right-panel">
									<div class="right-panel-search">
										<el-select v-model="value" placeholder="Select" style="width: 240px">
											<el-option v-for="item in options" :key="item.value" :label="item.label"
												:value="item.value" />
										</el-select>
										<el-select v-model="value" placeholder="Select" style="width: 240px">
											<el-option v-for="item in options" :key="item.value" :label="item.label"
												:value="item.value" />
										</el-select>
										<el-input style="width: 240px" placeholder="请输入工位名称/编号" clearable></el-input>
										<el-button type="primary" icon="el-icon-search"></el-button>
									</div>
								</div>
							</el-header>
							<el-main class="nopadding">
								<scTable ref="table" :apiObj="apiObj" @selection-change="selectionChange" stripe
									remoteSort remoteFilter>
									<el-table-column type="selection" width="50"></el-table-column>
									<el-table-column label="工位编号" prop="id" width="120"
										sortable='custom'></el-table-column>
									<el-table-column label="工位名称" prop="id" width="120"
										sortable='custom'></el-table-column>
									<el-table-column label="工位类型" prop="id" width="120"
										sortable='custom'></el-table-column>
									<el-table-column label="工位日历" prop="id" width="120"
										sortable='custom'></el-table-column>
									<el-table-column label="操作" fixed="right" align="right" width="160">
										<template #default="scope">
											<el-button-group>
												<el-button text type="primary" size="small"
													@click="table_show(scope.row, scope.$index)">查看</el-button>
												<el-button text type="primary" size="small"
													@click="table_edit(scope.row, scope.$index)">编辑</el-button>
												<el-popconfirm title="确定删除吗？"
													@confirm="table_del(scope.row, scope.$index)">
													<template #reference>
														<el-button text type="primary" size="small">删除</el-button>
													</template>
												</el-popconfirm>
											</el-button-group>
										</template>
									</el-table-column>

								</scTable>
							</el-main>
						</el-container>
					</el-container>
				</el-tab-pane>

				<el-tab-pane label="工位组" name="2">

				</el-tab-pane>

			</el-tabs>
		</el-card>
	</el-main>
</template>

<script>
export default {
	name: 'system',
	data() {
		return {
			activeName: '1',
			group: [],
			groupFilterText: ''
		}
	},
	created() {
		this.$API.basicdata.getWorkstationGroup.get().then(res => {
			if (res.code == 200) {
				let data = this.formatData(res.data)
				this.group = data
			}
		})
	},
	methods: {
		formatData(data, current) {
			let newData = []
			if (!current) {
				newData = data.filter(item => item.parentId == 0).map(v => {
					v.children = this.formatData(data, v)
					return v
				})
			} else {
				let res = data.filter(v => v.parentId === current.id)
				res = res.map(item => {
					item.children = this.formatData(data, item)
					return item
				})
				return res
			}
			return newData
		},
		groupFilterNode() {

		},
		groupClick() {

		},
		table_add() {
			var newRow = {
				key: "",
				value: "",
				title: "",
				isSet: true
			}
			this.setting.push(newRow)
		},
		table_edit(row) {
			if (row.isSet) {
				row.isSet = false
			} else {
				row.isSet = true
			}
		},
		table_del(row, index) {
			this.setting.splice(index, 1)
		},
	}
}
</script>

<style></style>
